{{! usage: link to="namepath" html=true/false caption="optional caption"~}}

{{~#if html~}}
<code>

{{~#link to~}}
{{#if url~}}
<a href="{{{slugifyAnchorIfRelativeUrl url}}}">{{#if ../../caption}}{{../../../caption}}{{else}}{{name}}{{/if}}</a>
{{~else~}}
{{#if ../../caption}}{{../../../caption}}{{else}}{{name}}{{/if~}}
{{/if~}}
{{/link~}}

</code>
{{~else~}}

{{#link to~}}
{{#if url~}}
[<code>{{#if ../../caption}}{{escape ../../../caption}}{{else}}{{escape name}}{{/if}}</code>]({{{slugifyAnchorIfRelativeUrl url}}})
{{~else~}}
<code>{{#if ../../caption}}{{escape ../../../caption}}{{else}}{{escape name}}{{/if~}}</code>
{{~/if~}}
{{/link~}}

{{/if~}}
